Bug 1008898 - function-key sequences '<FN><f#>' dont match key labels on Toshiba Satellite L75D-A7283 [NEEDINFO]
function-key sequences '<FN><f#>' dont match key labels on Toshiba Satellite ...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
21
x86_64 Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-17 06:06 EDT by collura
Modified: 2015-02-24 11:13 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-24 11:13:42 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jforbes: needinfo?


Attachments (Terms of Use)
lsmod without acpi_osi Linux and without acpi_backlight vendor (3.44 KB, text/plain)
2013-09-17 06:11 EDT, collura
no flags Details
lsmod with acpi_osi Linux and with acpi_backlight vendor (3.44 KB, text/plain)
2013-09-17 06:13 EDT, collura
no flags Details
dmesg without acpi_osi Linux and without acpi_backlight vendor (64.23 KB, text/plain)
2013-09-17 06:14 EDT, collura
no flags Details
dmesg with acpi_osi Linux and with acpi_backlight vendor (95.79 KB, text/plain)
2013-09-17 06:16 EDT, collura
no flags Details

  None (edit)
Description collura 2013-09-17 06:06:17 EDT
Description of problem:

  Depending on the kernel and the particular function key, 
  the function key sequences dont match the key label silkscreens 
  on the Toshiba Satellite L75D-A7283.

  For example, with kernel 3.11.0-300.fc20.x86_64 
  the function key sequence '<FN><f2>' displays a battery meter popup 
  but the '<f2>' function key is labeled to lower the brightness.

     With no special kernel boot options 
     (no acpi_osi or acpi_backlight command line additions to the kernel)
     no <f2> brightness function key

     When add 'acpi_osi=Linux acpi_backlight=vendor' 
     (without quotes) to kernel line at boot 
     still no <f2> brightness function keys 
     but still working speaker function keys 


<FN><f#> : silkscreen: 
             (no added acpi kernel options at boot) ; 
             {add 'acpi_osi=Linux acpi_backlight=vendor' 
               without quotes to kernel line at boot}
--------------------------------------------------------
<FN><f01>: help '?' : perpetually mapped to help
             (help '?') ; 
             {help '?'}

<FN><f02>: bright-- :
             (doesnt work) [currently shows battery level meter];
             {doesnt work, no effect}

<FN><f03>: bright++ :
             (doesnt work) [currently suspend/hibernates to black screen];
             {doesnt work, no effect}

<FN><f04>: laptopmonitor_only/externalmonitor_as_mirror/externalmonitor_as_secondmonitor/externalmonitor_only [not tested]:
             (doesnt work, tries to switch 
                but doenst complete and wont change back);
             {doesnt work, no effect} 

<FN><f05>: enable/disable touchpad :
             (works sometimes? managed to disable once 
               but not reenable until powered off for some time?);
             {no effect}

<FN><f06>: audiotrack-- : [not tested with cd but responds ok] () ; {}
<FN><f07>: play/pause   : [not tested with cd but responds ok] () ; {}
<FN><f08>: audiotrack++ : [not tested with cd but responds ok] () ; {}

<FN><f09>: speaker--   : (correct, works) ; {correct, works}
<FN><f10>: speaker++   : (correct, works) ; {correct, works}
<FN><f11>: speaker mute: () ; {correct, works}

<FN><f12>: enable/disable wifi : 
             (no effect) ; 
             {no effect}     

<FN><number_1> (number_1 not f1): 'zoom out' : (no effect); {no efect}
<FN><number_2> (number_2 not f2): 'zoom in' : (no effect); {no efect}

<FN><spacebar> : change video mode : 
              (no effect); 
              {no efect}


Version-Release number of selected component (if applicable):

 fc19 system with following changes
 kernel-3.11.0-300.fc20.x86_64 
   (and stll in kernel-3.12.0-0.rc0.git22.1.fc21.x86_64)
 linux-firmware-20130724-30.git31f6b30.fc20.noarch
 microcode_ctl-2.2.1-2.fc21.x86_64


How reproducible:

 always (depending on key sequence and kernel)

Steps to Reproduce:
1. boot and login
2. use a <FN><f#> keysequence 
3. await surprise result ;')

Actual results:

 results of a function key sqeuence DONT always match the key labels

Expected results:

 results of a function key sequence SHOULD match the label on the key

Additional info:

  aditional system information:
     https://bugzilla.redhat.com/show_bug.cgi?id=991737
     https://bugzilla.redhat.com/show_bug.cgi?id=1006527

  similar bug 
     https://bugzilla.redhat.com/show_bug.cgi?id=1005586
  but for a different model 'P850-133'.  
  found a random P850 that had similar key labeling as above 
  but wasnt sure of model so opening this new bug (possibly duplicate) 
  since not sure if existing bug has same keyboard layout 
  and since expect different model requires seperate fix entry.
Comment 1 collura 2013-09-17 06:11:54 EDT
Created attachment 798717 [details]
lsmod without acpi_osi Linux and without acpi_backlight vendor
Comment 2 collura 2013-09-17 06:13:29 EDT
Created attachment 798718 [details]
lsmod with acpi_osi Linux and with acpi_backlight vendor
Comment 3 collura 2013-09-17 06:14:52 EDT
Created attachment 798720 [details]
dmesg without acpi_osi Linux and without acpi_backlight vendor
Comment 4 collura 2013-09-17 06:16:29 EDT
Created attachment 798721 [details]
dmesg with acpi_osi Linux and with acpi_backlight vendor
Comment 5 collura 2013-09-18 23:52:49 EDT
fyi,

from the toshiba digital media engineering corporate site:

  http://linux.toshiba-dme.co.jp/linux/eng/develop.htm

   "Linux Fn+Fx Specification 
      Documentation of approaches to control Fn+Fx and buttons functions.
      (Released on 09-09-'08.)" 

email request list entry, not a download link :.|
Comment 6 collura 2013-09-29 19:15:11 EDT
no change as of 

  kernel-3.11.1-200.fc19.x86_64
Comment 7 collura 2013-12-01 07:53:15 EST
no change as of 

  kernel-3.13.0-0.rc2.git0.1.fc21.x86_64 ( running on otherwise fc20 system )
Comment 8 collura 2013-12-17 02:35:51 EST
no change as of

   kernel-3.12.5-301.fc20.x86_64 ( running on fc20 system )
   kernel-3.13.0-0.rc4.git0.1.fc21.x86_64 ( running on otherwise fc20 system )
Comment 9 Justin M. Forbes 2014-02-24 08:59:03 EST
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 20 kernel bugs.

Fedora 20 has now been rebased to 3.13.4-200.fc20.  Please test this kernel update and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.
Comment 10 collura 2014-03-04 23:41:03 EST
still there as of kernel-3.13.4-200.fc20.x86_64
Comment 11 collura 2014-03-20 07:13:43 EDT
still there as of kernel-3.13.6-200.fc20.x86_64
Comment 12 collura 2014-05-01 05:37:27 EDT
still there as of kernel-3.14.2-200.fc20.x86_64
Comment 13 collura 2014-05-09 02:59:38 EDT
still there as of kernel-3.14.3-200.fc20.x86_64
Comment 14 Justin M. Forbes 2014-05-21 15:39:39 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 20 kernel bugs.

Fedora 20 has now been rebased to 3.14.4-200.fc20.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.
Comment 15 collura 2014-05-23 06:20:52 EDT
still there as of 

   kernel-3.14.4-200.fc20.x86_64
   and 
   kernel-3.15.0-0.rc5.git0.1.fc21.x86_64
Comment 16 collura 2014-06-18 00:49:19 EDT
still there as of 

   kernel-3.15.0-1.fc21.x86_64
Comment 17 Justin M. Forbes 2014-11-13 11:01:48 EST
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 20 kernel bugs.

Fedora 20 has now been rebased to 3.17.2-200.fc20.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 21, and are still experiencing this issue, please change the version to Fedora 21.

If you experience different issues, please open a new bug report for those.
Comment 18 collura 2014-11-15 22:25:52 EST
still there as of 

   kernel-3.17.2-300.fc21.x86_64
Comment 19 Justin M. Forbes 2015-01-27 10:01:08 EST
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 21 kernel bugs.

Fedora 21 has now been rebased to 3.18.3-201.fc21.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.
Comment 20 Fedora Kernel Team 2015-02-24 11:13:42 EST
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in over 3 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.

Note You need to log in before you can comment on or make changes to this bug.